curl --request POST \
--url https://api.hubapi.com/marketing/marketing-events/2026-03/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customProperties": [
{
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
}
],
"eventName": "<string>",
"eventOrganizer": "<string>",
"externalAccountId": "<string>",
"externalEventId": "<string>",
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.hubapi.com/marketing/marketing-events/2026-03/events"
payload = {
"customProperties": [
{
"isEncrypted": True,
"isLargeValue": True,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": True,
"selectedByUserTimestamp": 123,
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [123],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": True,
"value": "<string>"
}
],
"eventName": "<string>",
"eventOrganizer": "<string>",
"externalAccountId": "<string>",
"externalEventId": "<string>",
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": True,
"eventCompleted": True,
"eventDescription": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customProperties: [
{
isEncrypted: true,
isLargeValue: true,
name: '<string>',
persistenceTimestamp: 123,
requestId: '<string>',
selectedByUser: true,
selectedByUserTimestamp: 123,
sourceId: '<string>',
sourceLabel: '<string>',
sourceMetadata: '<string>',
sourceUpstreamDeployable: '<string>',
sourceVid: [123],
timestamp: 123,
unit: '<string>',
updatedByUserId: 123,
useTimestampAsPersistenceTimestamp: true,
value: '<string>'
}
],
eventName: '<string>',
eventOrganizer: '<string>',
externalAccountId: '<string>',
externalEventId: '<string>',
endDateTime: '2023-11-07T05:31:56Z',
eventCancelled: true,
eventCompleted: true,
eventDescription: '<string>',
eventType: '<string>',
eventUrl: '<string>',
startDateTime: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customProperties": [
{
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
}
],
"eventName": "<string>",
"eventOrganizer": "<string>",
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"objectId": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create an event
HubSpotにマーケティングイベントが新規作成されます
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
PropertyValuesのリスト。任意のプロパティーの名前と値を指定できます。ただし、HubSpotアカウントのMarketingEventオブジェクトの定義に存在している必要があります。存在していない場合、除外されて、設定されません。 存在させるには、特定のアプリについてHubSpotアカウントのMarketingEventオブジェクトでPropertyGroupを新規作成し、そのHubSpotアカウントで追跡するカスタムプロパティーを作成する必要があります。MarketingEventでデフォルトのプロパティーを新規作成すると全てのHubSpotアカウントに適用されることになるため、作成しないでください。
Show child attributes
Show child attributes
マーケティングイベントの名前。
マーケティングイベントの主催者の名前。
外部イベントアプリケーションでこのマーケティングイベントに関連付けられているaccountId。
外部イベントアプリケーションのマーケティングイベントのID。
マーケティングイベントの終了日時。
マーケティングイベントがキャンセルされたかどうかを示します。デフォルト値は「false」です
マーケティングイベントが完了されたかどうかを示します。デフォルト値は「false」です
マーケティングイベントの説明。
このイベントのタイプが説明されます。例:「WEBINAR」、「CONFERENCE」、「WORKSHOP」
マーケティングイベントを管理できる外部イベントアプリケーションのURL。
マーケティングイベントの開始日時。
レスポンス
successful operation
PropertyValuesのリスト。任意のプロパティーの名前と値を指定できます。ただし、HubSpotアカウントのMarketingEventオブジェクトの定義に存在している必要があります。存在していない場合、除外されて、設定されません。 存在させるには、特定のアプリについてHubSpotアカウントのMarketingEventオブジェクトでPropertyGroupを新規作成し、そのHubSpotアカウントで追跡するカスタムプロパティーを作成する必要があります。MarketingEventでデフォルトのプロパティーを新規作成すると全てのHubSpotアカウントに適用されることになるため、作成しないでください。
Show child attributes
Show child attributes
マーケティングイベントの名前。
マーケティングイベントの主催者の名前。
マーケティングイベントの終了日時。
マーケティングイベントがキャンセルされたかどうかを示します。
マーケティングイベントが完了したかどうかを示します。
マーケティングイベントの説明。
マーケティングイベントのタイプ。
マーケティングイベントを管理できる外部イベントアプリケーションのURL。
マーケティングイベントCRMオブジェクトのID
マーケティングイベントの開始日時。